Bug 741523 - % completed should be calculated with words, not messages.
% completed should be calculated with words, not messages.
Status: CLOSED NEXTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4-RC
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks: Zanata-1.4.1
  Show dependency treegraph
 
Reported: 2011-09-27 03:26 EDT by Ding-Yi Chen
Modified: 2011-10-05 22:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-05 22:51:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-09-27 03:26:43 EDT
Description of problem:
In document list view and messages list view, the % completed are calculated by messages completed, but other fields show words, not messages. 

Version-Release number of selected component (if applicable):
Zanata version 1.4-alpha-2-SNAPSHOT (20110926-1021)

How reproducible:
Always

Steps to Reproduce:
1. We use project AboutFedora F11, Chinese simplified.
2. Translated most of the string (with the help of copyFromSource) and save as
approved, except document About_Fedora-> Fedora Documentation
3. Visit the project page of About Fedora, reload the page.
  
Actual results:
Document About_Fedora shows: 23/24 msgs ~ 95%
In document list view of AboutFedora: 34/35 msgs ~ 97%

Expected results:
Document About_Fedora shows: 545/547 msgs ~ 99%
In document list view of AboutFedora: 34/35 msgs ~ 97%
Comment 1 Ding-Yi Chen 2011-09-27 03:27:32 EDT
See also 741509
Comment 2 Alex Eng 2011-09-28 21:38:46 EDT
Bug fixed. Waiting to be deploy for testing.
Comment 4 Ding-Yi Chen 2011-10-03 20:49:38 EDT
VERIFIED with Zanata version 1.4.1-SNAPSHOT (20111003-1737)

Note You need to log in before you can comment on or make changes to this bug.